package com.iamberry.wechat.service.stati;

import com.iamberry.wechat.core.entity.stati.AcceStatistics;
import com.iamberry.wechat.face.stati.AcceStatisticsService;
import com.iamberry.wechat.service.mapper.AcceStatisticsMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  访问统计接口
 * @author xm
 * @Date 2019-04-25
 */
@Service
public class AcceStatisticsServiceImpl  implements AcceStatisticsService {
    @Autowired
    private AcceStatisticsMapper acceStatisticsMapper;
    /**
     * 获取集合
     * @param  acceStatistics
     * @return List
     */
    @Override
    public List<AcceStatistics> getAcceStatisticsList(AcceStatistics  acceStatistics){
        return  acceStatisticsMapper.getAcceStatisticsList(acceStatistics);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  acceStatistics
     */
    @Override
    public  AcceStatistics  getAcceStatisticsById(Integer  id){
        return  acceStatisticsMapper.getAcceStatisticsById(id);
    }
    /**
     * 增加数据
     * @param  acceStatistics
     * @return Integer
     */
    @Override
    public  Integer  save(AcceStatistics  acceStatistics){
        return  acceStatisticsMapper.save(acceStatistics);
    }
    /**
     * 修改数据
     * @param  acceStatistics
     * @return Integer
     */
    @Override
    public  Integer  update(AcceStatistics  acceStatistics){
        return  acceStatisticsMapper.update(acceStatistics);
    }

    @Override
    public Integer getAcceStatiCount(AcceStatistics acceStatistics) {
        return  acceStatisticsMapper.getAcceStatiCount(acceStatistics);
    }
}